Skip to main content
GET
List Orders

Authorizations

Authorization
string
header
required

Authentication: You can generate a Personal Access Token from your settings.

Query Parameters

organization_id

Return only records matching organization ID. Identifier of the organization.

Example:

"1dbfc517-0bbf-4301-9ba8-555ca42b9737"

product_id

Return only records matching product ID. Identifier of the product.

product_billing_type

Return only records matching product billing type. recurring will filter data corresponding to subscriptions creations or renewals. one_time will filter data corresponding to one-time purchases.

Available options:
one_time,
recurring
discount_id

Return only records matching discount ID.

customer_id

Return only records matching customer ID. Identifier of the customer.

external_customer_id

Return only records matching customer external ID. Identifier of the customer external.

checkout_id

Return only records matching checkout ID.

subscription_id

Return only records matching subscription ID. Identifier of the subscription.

page
integer
default:1

Results page to return. The first page is used by default.

limit
integer
default:10

Records returned per page. Defaults to 10 and accepts up to 100.

sorting
enum<string>[] | null

Sort rules applied from left to right. Prefix any rule with - to reverse it into descending order.

Available options:
created_at,
-created_at,
status,
-status,
invoice_number,
-invoice_number,
amount,
-amount,
net_amount,
-net_amount,
customer,
-customer,
product,
-product,
discount,
-discount,
subscription,
-subscription
metadata
MetadataQuery · object | null

Return only records matching metadata key-value pairs. It uses the deepObject style, e.g. ?metadata[key]=value.

Response

Request completed successfully

items
Order · object[]
required
pagination
Pagination · object
required